include "nohog.mak"
make=$(nice) $(nohog) nmake.exe
all:
	$(make) -f vc_dll.mak $(debug) dll
	$(make) -f vc_dll.mak $(debug) install
#	$(make) -f vc_dll.mak $(debug) clean
slash=\\
o=obj
lang=c
rootdir=..
cc=cl.exe
ld=link.exe
#	Can be wasm.exe (from WATCOM C 10.0 or 11.0). MASM not tested. 
as=tasm32.exe
s=asm
#	Can be rc.exe, but you must clean -r flag !
rc=brc32.exe
rflags=-r
mv=move
rm=del
rootdir=..
bindir=$(rootdir)\..\bin
cflags=-c -O2 -Ot -Gs -W4 -G6 -MD -D__LIBV__ -D__WIN32__ -DBUILD_DLL -I $(rootdir)\include
ansi=-Za
lflags=/SUBSYSTEM:WINDOWS /DLL /DEFAULTLIB:MSVCRT.LIB
aflags=/ml /q /w2
include objfiles.mak
include rules.mak
common_makefile=vc.mak
include sup.mak
libs=kernel32.lib user32.lib gdi32.lib opengl32.lib winmm.lib $(rootdir)\support\nsp\lib\nspp6l.lib
target=libv
dll:$(target).dll
win32/$(target).res:win32/$(target).rc
	$(rc) $(rflags) win32/$(target).rc
$(target).dll:$(objfiles) $(suppobjects) PAL/win32/$(target).res PAL/win32/msvc.def
	$(ld) $(lflags) $(objfiles) $(winobjfiles) $(libs) $(suppobjects) \
		PAL/win32/$(target).res /OUT:$(target).dll /DEF:PAL/win32/msvc.def
install:
	if exist $(bindir)\$(target).dll $(rm) $(bindir)\$(target).dll
	if exist ..\arch\win32\vc_imp\$(target).lib $(rm) ..\arch\win32\vc_imp\$(target).lib
	$(mv) $(target).dll $(bindir)\$(target).dll
	$(mv) $(target).lib ..\arch\win32\vc_imp\$(target).lib
clean:
	nmake -f clean.mak
