# =========================================================================
# Unix - specific defines.
# Note: before include this file, you must define 'libvroot' - path
# to LibV root directory.
# =========================================================================
OpenGL_Lib=-lGL
# OpenGL_Lib=-lMesaGL
cc=gcc
ld=gcc
rm=rm -f
suffix=a
cdebug=-ggdb
ccflags=-O2 -c -Wall -pedantic -fomit-frame-pointer -rdynamic -ggdb \
	-idirafter $(libvroot)/include 
ldflags=-L /lib -L /usr/lib -L /usr/local/lib -L /usr/X11R6/lib
libv=$(libvroot)/arch/unix/libv.$(suffix)
# -lpthread must be LAST library; otherwise we get core dump
# at start of program statically linked with some nVidia's libGL's
rtl_libs=-lm -ldl -lpthread
x11_libs=-lX11 -lXext -lXxf86vm $(OpenGL_Lib)
